YAPPS(1)

NAME
yapps - create a Python module from a grammar file

SYNOPSIS
yapps [ --dump ] [ --use-devel-grammar ] [ -fcontext-insensitive-scanner ] [ -p pid ] [ -f ] input.g [ output.py ] name

DESCRIPTION
  --dump Dump out grammar information
    --use-devel-grammar Use the devel grammar parser from
    yapps_grammar.py instead of the stable grammar from grammar.py
      -fcontext-insensitive-scanner Scan all tokens (see docs) yapps generates a Python program which will parse a given grammar.

OPTIONS

--dump
    Dump the grammar information to stdout.

--use-devel-grammar
    Use the grammar file in ./yapps_grammar.py instead of yapps/grammar.py.
    This option is useful for testing new grammar parsers. (Yes, yapps' parser is itself written with yapps...)

-fcontext-insensitive-scanner
    Set the option to use the non-context-sensitive scanner.

CAVEATS
yapps implements a recursive-descent scanner.

HISTORY
Written by Amit J. Patel <amitp@cs.stanford.edu>.
This version was enhanced by Matthias Urlichs <smurf@debian.org>. It is not downwards-compatible with the original yapps2 (yet) and uses a different runtime library.
See the change log for details.